# FAQ

### **What happens if your system can't find the information within the provided document?**

If we are unsure or can't find the information for a field, we will fill it with `null`. Here is an example where we couldn't find the phone number:

```json
{
    "full_name": "Ben Hummel",
    "phone_number": null,
    "age": 47,
}
```

### How am I billed?

We have usage-based pricing that is divided into tiers (e.g. first 100 calls are free, then for 500 calls, it's $50, etc.) which you can find [here](https://waveline.ai/extract#pricing). After every billing period (each month), we count how many requests were made and charge you based on your billing method.&#x20;

### How can I increase the accuracy?

By providing us with accurate field names and elaborate descriptions, our service improves. For example, let's say you process invoices and want to know the total amount that is due to pay. If you just put "money" and no description, our system might not be sure what exactly you expect and will return `null`.

```json
[
  {
    "name": "money",
    "type": "string",
    "description": "",
    "isArray": false
  }
]
```

However, if you provide a descriptive name and explain what you mean in the description, results will greatly improve.

```json
[
  {
    "name": "total",
    "type": "string",
    "description": "Total amount to pay",
    "isArray": false
  }
]
```

Additionally, in some cases, it helps to provide synonyms for certain fields. For example, if the `Total` is sometimes abbreviated `Totl`, you can adjust your description in the following way: `"Total amount to pay aka Totl",`

### My use case is special and has additional requirements. What do I do?

We are always open for special use cases. Please contact us via email at <team@waveline.ai>

### Do you offer an on-premise service?

Yes, we offer on-premise as part of our enterprise offering. Please contact us at <team@waveline.ai>

### How long do jobs take to complete?

Jobs usually take between 20 seconds and up to 5 minutes to complete. We have the option to decrease this time with faster LLM models but at the cost of accuracy for some use cases. If you are concerned with speed and less with accuracy, don't hesitate to contact us.

### Where can I get an API key?

You can get an API key [here](https://waveline.ai/extract/dashboard/api-keys) after signing up.

### I get an error back, what could that be?

If you get a different error code than 500, please check the endpoint pages for possible causes. Additionally, the [Limitations](/extract/additional-material/limitations.md) page can provide some context. If you need information on why a specific job failed or want help with anything else, contact us at <team@waveline.ai>!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.waveline.ai/extract/additional-material/faq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
